## python-escript 4.2.0.1

=== SConstruct ===
##############################################################################
#
# Copyright (c) 2003-2016 by The University of Queensland
# http://www.uq.edu.au
#
# Primary Business: Queensland, Australia
# Licensed under the Apache License, version 2.0
# http://www.apache.org/licenses/LICENSE-2.0
#
# Development until 2012 by Earth Systems Science Computational Center (ESSCC)
# Development 2012-2013 by School of Earth Sciences
# Development from 2014 by Centre for Geoscience Computing (GeoComp)
#
##############################################################################

EnsureSConsVersion(0,98,1)
EnsurePythonVersion(2,5)

import atexit, sys, os, platform, re
from distutils import sysconfig
from dependencies import *
from site_init import *

# Version number to check for in options file. Increment when new features are
# added or existing options changed.
REQUIRED_OPTS_VERSION=202

# MS Windows support, many thanks to PH
IS_WINDOWS = (os.name == 'nt')

IS_OSX = (os.uname()[0] == 'Darwin')

########################## Determine options file ############################
# 1. command line
# 2. scons/<hostname>_options.py
# 3. name as part of a cluster
options_file=ARGUMENTS.get('options_file', None)
if not options_file:
    ext_dir = os.path.join(os.getcwd(), 'scons')
    hostname = platform.node().split('.')[0]
    for name in hostname, effectiveName(hostname):
        mangledhostname = re.sub('[^0-9a-zA-Z]', '_', hostname)
        options_file = os.path.join(ext_dir, mangledhostname+'_options.py')
        if os.path.isfile(options_file): break

if not os.path.isfile(options_file):
    print("\nWARNING:\nOptions file %s" % options_file)
    print("not found! Default options will be used which is most likely suboptimal.")
    print("We recommend that you copy the most relavent options file in the scons/template/")
    print("subdirectory and customize it to your needs.\n")
    options_file = None

############################### Build options ################################

default_prefix='/usr'
mpi_flavours=('no', 'none', 'MPT', 'MPICH', 'MPICH2', 'OPENMPI', 'INTELMPI')
lapack_flavours=('none', 'clapack', 'mkl')

#Note that scons construction vars the the following purposes:
#  CPPFLAGS -> to the preprocessor
#  CCFLAGS  -> flags for _both_ C and C++
#  CXXFLAGS -> flags for c++ _only_
#  CFLAGS   -> flags for c only

vars = Variables(options_file, ARGUMENTS)
vars.AddVariables(
  PathVariable('options_file', 'Path to options file', options_file, PathVariable.PathIsFile),
  PathVariable('prefix', 'Installation prefix', Dir('#.').abspath, PathVariable.PathIsDirCreate),
  PathVariable('build_dir', 'Top-level build directory', Dir('#/build').abspath, PathVariable.PathIsDirCreate),
  BoolVariable('verbose', 'Output full compile/link lines', False),
# Compiler/Linker options
  ('cxx', 'Path to C++ compiler', 'default'),
  ('cc_flags', 'Base (C and C++) compiler flags', 'default'),
  ('cc_optim', 'Additional (C and C++) flags for a non-debug build', 'default'),
  ('cc_debug', 'Additional (C and C++) flags for a debug build', 'default'),
  ('cxx_extra', 'Extra C++ compiler flags', ''),
  ('cpp_flags', 'C Pre-processor flags', ''),
  ('cpp_extra', 'Extra C Pre-processor flags', ''),
  ('ld_extra', 'Extra linker flags', ''),
  ('nvcc', 'Path to CUDA compiler', 'default'),
  ('nvccflags', 'Base CUDA compiler flags', 'default'),
  BoolVariable('werror','Treat compiler warnings as errors', True),
  BoolVariable('debug', 'Compile with debug flags', False),
  BoolVariable('openmp', 'Compile parallel version using OpenMP', False),
  ('omp_flags', 'OpenMP compiler flags', 'default'),
  ('omp_ldflags', 'OpenMP linker flags', 'default'),
# Mandatory libraries
  ('boost_prefix', 'Prefix/Paths of boost installation', default_prefix),
  ('boost_libs', 'Boost libraries to link with', ['boost_python-mt']),
# Mandatory for tests
  ('cppunit_prefix', 'Prefix/Paths of CppUnit installation', default_prefix),
  ('cppunit_libs', 'CppUnit libraries to link with', ['cppunit']),
# Optional libraries and options
  EnumVariable('mpi', 'Compile parallel version using MPI flavour', 'none', allowed_values=mpi_flavours),
  ('mpi_prefix', 'Prefix/Paths of MPI installation', default_prefix),
  ('mpi_libs', 'MPI shared libraries to link with', ['mpi']),
  BoolVariable('cuda', 'Enable GPU code with CUDA (requires thrust)', False),
  ('cuda_prefix', 'Prefix/Paths to NVidia CUDA installation', default_prefix),
  BoolVariable('netcdf', 'Enable netCDF file support', False),
  ('netcdf_prefix', 'Prefix/Paths of netCDF installation', default_prefix),
  ('netcdf_libs', 'netCDF libraries to link with', ['netcdf_c++', 'netcdf']),
  BoolVariable('parmetis', 'Enable ParMETIS (requires MPI)', False),
  ('parmetis_prefix', 'Prefix/Paths of ParMETIS installation', default_prefix),
  ('parmetis_libs', 'ParMETIS libraries to link with', ['parmetis', 'metis']),
  BoolVariable('mkl', 'Enable the Math Kernel Library', False),
  ('mkl_prefix', 'Prefix/Paths to MKL installation', default_prefix),
  ('mkl_libs', 'MKL libraries to link with', ['mkl_solver','mkl_em64t','guide','pthread']),
  BoolVariable('umfpack', 'Enable UMFPACK', False),
  ('umfpack_prefix', 'Prefix/Paths to UMFPACK installation', default_prefix),
  ('umfpack_libs', 'UMFPACK libraries to link with', ['umfpack']),
  BoolVariable('boomeramg', 'Enable BoomerAMG', False),
  ('boomeramg_prefix', 'Prefix/Paths to BoomerAMG installation', default_prefix),
  ('boomeramg_libs', 'BoomerAMG libraries to link with', ['boomeramg']),
  EnumVariable('lapack', 'Set LAPACK flavour', 'none', allowed_values=lapack_flavours),
  ('lapack_prefix', 'Prefix/Paths to LAPACK installation', default_prefix),
  ('lapack_libs', 'LAPACK libraries to link with', []),
  BoolVariable('silo', 'Enable the Silo file format in weipa', False),
  ('silo_prefix', 'Prefix/Paths to Silo installation', default_prefix),
  ('silo_libs', 'Silo libraries to link with', ['siloh5', 'hdf5']),
  BoolVariable('visit', 'Enable the VisIt simulation interface', False),
  ('visit_prefix', 'Prefix/Paths to VisIt installation', default_prefix),
  ('visit_libs', 'VisIt libraries to link with', ['simV2']),
  ListVariable('domains', 'Which domains to build', 'all',\
               ['dudley','finley','ripley','speckley']),
# Advanced settings
  ('launcher', 'Launcher command (e.g. mpirun)', 'default'),
  ('prelaunch', 'Command to execute before launcher (e.g. mpdboot)', 'default'),
  ('postlaunch', 'Command to execute after launcher (e.g. mpdexit)', 'default'),
  #dudley_assemble_flags = -funroll-loops      to actually do something
  ('dudley_assemble_flags', 'compiler flags for some dudley optimisations', ''),
  # To enable passing function pointers through python
  BoolVariable('iknowwhatimdoing', 'Allow non-standard C', False),
  # An option for specifying the compiler tools
  ('tools_names', 'Compiler tools to use', ['default']),
  ('env_export', 'Environment variables to be passed to tools',[]),
  EnumVariable('forcelazy', 'For testing use only - set the default value for autolazy', 'leave_alone', allowed_values=('leave_alone', 'on', 'off')),
  EnumVariable('forcecollres', 'For testing use only - set the default value for force resolving collective ops', 'leave_alone', allowed_values=('leave_alone', 'on', 'off')),
  ('build_shared', 'Build dynamic libraries only', False),
  ('sys_libs', 'Extra libraries to link with', []),
  ('escript_opts_version', 'Version of options file (do not specify on command line)'),
  ('SVN_VERSION', 'Do not use from options file', -2),
  ('pythoncmd', 'which python to compile with','python'),
  ('usepython3', 'Is this a python3 build?', False),
  ('pythonlibname', 'Name of the python library to link. (This is found automatically for python2.X.)', ''),
  ('pythonlibpath', 'Path to the python library. (You should not need to set this unless your python has moved)',''),
  ('pythonincpath','Path to python include files. (You should not need to set this unless your python has moved',''),
  BoolVariable('longindices', 'use long indices (for very large matrices)', False),
  BoolVariable('compressed_files','Enables reading from compressed binary files', True),
  ('compression_libs', 'Compression libraries to link with', ['boost_iostreams']),
  BoolVariable('papi', 'Enable PAPI', False),
  ('papi_prefix', 'Prefix/Paths to PAPI installation', default_prefix),
  ('papi_libs', 'PAPI libraries to link with', ['papi']),
  BoolVariable('papi_instrument_solver', 'Use PAPI to instrument each iteration of the solver', False),
  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)',
False)
)

##################### Create environment and help text #######################

# Intel's compiler uses regular expressions improperly and emits a warning
# about failing to find the compilers. This warning can be safely ignored.

# PATH is needed so the compiler, linker and tools are found if they are not
# in default locations.
env = Environment(tools = ['default'], options = vars,
                  ENV = {'PATH': os.environ['PATH']})

# set the vars for clang
def mkclang(env):
    env['CXX']='clang++'

if env['tools_names'] != ['default']:
    zz=env['tools_names']
    if 'clang' in zz:
        zz.remove('clang')
        zz.insert(0, mkclang)
    env = Environment(tools = ['default'] + env['tools_names'], options = vars,
                      ENV = {'PATH' : os.environ['PATH']})

if options_file:
    opts_valid=False
    if 'escript_opts_version' in env.Dictionary() and \
        int(env['escript_opts_version']) >= REQUIRED_OPTS_VERSION:
            opts_valid=True
    if opts_valid:
        print("Using options in %s." % options_file)
    else:
        print("\nOptions file %s" % options_file)
        print("is outdated! Please update the file by examining one of the TEMPLATE")
        print("files in the scons/ subdirectory and setting escript_opts_version to %d.\n"%REQUIRED_OPTS_VERSION)
        Exit(1)

# Generate help text (scons -h)
Help(vars.GenerateHelpText(env))

# Check for superfluous options
if len(vars.UnknownVariables())>0:
    for k in vars.UnknownVariables():
        print("Unknown option '%s'" % k)
    Exit(1)

if env['cuda']:
    if env['nvcc'] != 'default':
        env['NVCC'] = env['nvcc']
    env.Tool('nvcc')

if 'dudley' in env['domains']:
    env['domains'].append('finley')

# create dictionary which will be populated with info for buildvars file
env['buildvars']={}
# create list which will be populated with warnings if there are any
env['warnings']=[]

#################### Make sure install directories exist #####################

env['BUILD_DIR']=Dir(env['build_dir']).abspath
prefix=Dir(env['prefix']).abspath
env['buildvars']['prefix']=prefix
env['incinstall'] = os.path.join(prefix, 'include')
env['bininstall'] = os.path.join(prefix, 'bin')
env['libinstall'] = os.path.join(prefix, 'lib')
env['pyinstall']  = os.path.join(prefix, 'esys')
if not os.path.isdir(env['bininstall']):
    os.makedirs(env['bininstall'])
if not os.path.isdir(env['libinstall']):
    os.makedirs(env['libinstall'])
if not os.path.isdir(env['pyinstall']):
    os.makedirs(env['pyinstall'])

env.Append(CPPPATH = [env['incinstall']])
env.Append(LIBPATH = [env['libinstall']])

################# Fill in compiler options if not set above ##################

if env['cxx'] != 'default': env['CXX']=env['cxx']

# version >=9 of intel C++ compiler requires use of icpc to link in C++
# runtimes (icc does not)
if not IS_WINDOWS and os.uname()[4]=='ia64' and env['CXX']=='icpc':
    env['LINK'] = env['CXX']

# default compiler/linker options
cc_flags = ''
cc_optim = ''
cc_debug = ''
omp_flags = ''
omp_ldflags = ''
fatalwarning = '' # switch to turn warnings into errors
sysheaderopt = '' # how to indicate that a header is a system header

# env['CC'] might be a full path
cc_name=os.path.basename(env['CXX'])

if cc_name == 'icpc':
    # Intel compiler

=== debian/changelog ===
python-escript (4.2.0.1-4) unstable; urgency=medium

  [ Joel Fenwick ]
  * [96dc875] Protect against g++-6 (Closes: #831149)

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Aug 2016 20:05:23 +0200

python-escript (4.2.0.1-3) unstable; urgency=medium

  [ Joel Fenwick ]
  * [462f3cc] Fix missing dep on python-numpy by python-escript-mpi
  * [295d646] Fix missing debug syms (and always build for sid options)
  * [73c3165] Allow extraction of tests from src tree
  * [ce27363] Fix py3clean issues, piuparts failure. (Closes: #826105, #826070)

  [ Anton Gladky ]
  * [2a88e77] Apply cme fix dpkg.
  * [e0c742a] Add VCS-fields.

 -- Anton Gladky <gladk@debian.org>  Tue, 21 Jun 2016 23:02:46 +0200

python-escript (4.2.0.1-2) unstable; urgency=medium

  [ Joel Fenwick ]
  * [35b8cd4] Remove dud file + shorten copyright file

  [ Anton Gladky ]
  * [9f90d8c] Add libnetcdf-dev to build-depends. (Closes: #825874)
  * [e75b88b] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Wed, 01 Jun 2016 21:21:46 +0200

python-escript (4.2.0.1-1) unstable; urgency=low
  * First debian release of escript. (Closes: 783157)
 -- Joel Fenwick <j.oelpublic@gmail.com>  Mon, 04 Apr 2016 10:49:00 +1000

Old Changelog:

python-escript (4.1-1) experimental; urgency=low
  * First debian release of escript. Upstream version 4.1.
  * closes: 783157
 -- Joel Fenwick <j.oelpublic@gmail.com>  Thu, 23 Apr 2015 17:28:21 +1000

python-escript (4.0) wheezy; urgency=low
  * Release 4.0
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 16 Dec 2014 09:34:00 +1000

python-escript (3.4.2) wheezy; urgency=low
  * Release 3.4.2
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 1 May 2014 12:00:00 +1000

python-escript (3.4.1) wheezy; urgency=low
  * Release 3.4.1
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 12 December 2013 13:15:00 +1000

python-escript (3.4) wheezy; urgency=low
  * Release 3.4
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 5 June 2013 08:47:00 +1000

escript (3.3.1-1) wheezy; urgency=low
  * Release 3.3.1
  * User guide has summary of changes
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Thu, 1 November 2012 16:00:00 +1000

escript (3.3-1) squeeze; urgency=low
  * Release 3.3
  * User guide has more details.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:14:00 +1000

escript (3.1-1) lenny; urgency=low
  * Release 3.1.
  * Lazy being let out of its cage. Various other tweaks and features. See user guide for details.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:13:00 +1000

escript (3.0-1) lenny; urgency=low
  * Release 3.0.
  * No pyvisi anymore.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:12:00 +1000

escript(~3.0-1) lenny; urgency=low
  * Post release 2.0.
  * By JFenwick (revision 2456)
  * Switched from numarray to numpy. A number of post release bugs in the documentation
  * and examples files fixed.
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:11:00 +1000

escript (~2.0-1) lenny; urgency=low
  * Initial packaging attempt.
  * By JFenwick (revision 2288:2290M)
 -- Joel Fenwick <joelfenwick@uq.edu.au>  Wed, 31 October 2012 15:10:00 +1000

## python-escript 5.0

=== SConstruct ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 # Version number to check for in options file. Increment when new features are
 # added or existing options changed.
-REQUIRED_OPTS_VERSION=202
+REQUIRED_OPTS_VERSION=203
 
 # MS Windows support, many thanks to PH
 IS_WINDOWS = (os.name == 'nt')
@@ -54,7 +54,7 @@
 
 default_prefix='/usr'
 mpi_flavours=('no', 'none', 'MPT', 'MPICH', 'MPICH2', 'OPENMPI', 'INTELMPI')
-lapack_flavours=('none', 'clapack', 'mkl')
+all_domains = ['dudley','finley','ripley','speckley']
 
 #Note that scons construction vars the the following purposes:
 #  CPPFLAGS -> to the preprocessor
@@ -74,8 +74,6 @@
   ('cc_optim', 'Additional (C and C++) flags for a non-debug build', 'default'),
   ('cc_debug', 'Additional (C and C++) flags for a debug build', 'default'),
   ('cxx_extra', 'Extra C++ compiler flags', ''),
-  ('cpp_flags', 'C Pre-processor flags', ''),
-  ('cpp_extra', 'Extra C Pre-processor flags', ''),
   ('ld_extra', 'Extra linker flags', ''),
   ('nvcc', 'Path to CUDA compiler', 'default'),
   ('nvccflags', 'Base CUDA compiler flags', 'default'),
@@ -111,17 +109,21 @@
   BoolVariable('boomeramg', 'Enable BoomerAMG', False),
   ('boomeramg_prefix', 'Prefix/Paths to BoomerAMG installation', default_prefix),
   ('boomeramg_libs', 'BoomerAMG libraries to link with', ['boomeramg']),
-  EnumVariable('lapack', 'Set LAPACK flavour', 'none', allowed_values=lapack_flavours),
+  TristateVariable('lapack', 'Enable LAPACK', 'auto'),
   ('lapack_prefix', 'Prefix/Paths to LAPACK installation', default_prefix),
   ('lapack_libs', 'LAPACK libraries to link with', []),
   BoolVariable('silo', 'Enable the Silo file format in weipa', False),
   ('silo_prefix', 'Prefix/Paths to Silo installation', default_prefix),
   ('silo_libs', 'Silo libraries to link with', ['siloh5', 'hdf5']),
+  BoolVariable('trilinos', 'Enable the Trilinos solvers', False),
+  ('trilinos_prefix', 'Prefix/Paths to Trilinos installation', default_prefix),
+  ('trilinos_libs', 'Trilinos libraries to link with', []),
   BoolVariable('visit', 'Enable the VisIt simulation interface', False),
   ('visit_prefix', 'Prefix/Paths to VisIt installation', default_prefix),
   ('visit_libs', 'VisIt libraries to link with', ['simV2']),
-  ListVariable('domains', 'Which domains to build', 'all',\
-               ['dudley','finley','ripley','speckley']),
+  ListVariable('domains', 'Which domains to build', 'all', all_domains),
+  BoolVariable('paso', 'Build Paso solver library', True),
+  BoolVariable('weipa', 'Build Weipa data export library', True),
 # Advanced settings
   ('launcher', 'Launcher command (e.g. mpirun)', 'default'),
   ('prelaunch', 'Command to execute before launcher (e.g. mpdboot)', 'default'),
@@ -133,14 +135,13 @@
   # An option for specifying the compiler tools
   ('tools_names', 'Compiler tools to use', ['default']),
   ('env_export', 'Environment variables to be passed to tools',[]),
-  EnumVariable('forcelazy', 'For testing use only - set the default value for autolazy', 'leave_alone', allowed_values=('leave_alone', 'on', 'off')),
-  EnumVariable('forcecollres', 'For testing use only - set the default value for force resolving collective ops', 'leave_alone', allowed_values=('leave_alone', 'on', 'off')),
-  ('build_shared', 'Build dynamic libraries only', False),
+  TristateVariable('forcelazy', 'For testing use only - set the default value for autolazy', 'auto'),
+  TristateVariable('forcecollres', 'For testing use only - set the default value for force resolving collective ops', 'auto'),
+  BoolVariable('build_shared', '(deprecated option, ignored)', True),
   ('sys_libs', 'Extra libraries to link with', []),
   ('escript_opts_version', 'Version of options file (do not specify on command line)'),
   ('SVN_VERSION', 'Do not use from options file', -2),
-  ('pythoncmd', 'which python to compile with','python'),
-  ('usepython3', 'Is this a python3 build?', False),
+  ('pythoncmd', 'which python to compile with', sys.executable),
   ('pythonlibname', 'Name of the python library to link. (This is found automatically for python2.X.)', ''),
   ('pythonlibpath', 'Path to the python library. (You should not need to set this unless your python has moved)',''),
   ('pythonincpath','Path to python include files. (You should not need to set this unless your python has moved',''),
@@ -151,8 +152,7 @@
   ('papi_prefix', 'Prefix/Paths to PAPI installation', default_prefix),
   ('papi_libs', 'PAPI libraries to link with', ['papi']),
   BoolVariable('papi_instrument_solver', 'Use PAPI to instrument each iteration of the solver', False),
-  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)',
-False)
+  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)', False)
 )
 
 ##################### Create environment and help text #######################
@@ -186,8 +186,8 @@
         print("Using options in %s." % options_file)
     else:
         print("\nOptions file %s" % options_file)
-        print("is outdated! Please update the file by examining one of the TEMPLATE")
-        print("files in the scons/ subdirectory and setting escript_opts_version to %d.\n"%REQUIRED_OPTS_VERSION)
+        print("is outdated! Please update the file after reading scons/templates/README_FIRST")
+        print("and setting escript_opts_version to %d.\n"%REQUIRED_OPTS_VERSION)
         Exit(1)
 
 # Generate help text (scons -h)
@@ -207,16 +207,18 @@
 if 'dudley' in env['domains']:
     env['domains'].append('finley')
 
+env['domains'] = sorted(set(env['domains']))
+
 # create dictionary which will be populated with info for buildvars file
-env['buildvars']={}
+env['buildvars'] = {}
 # create list which will be populated with warnings if there are any
-env['warnings']=[]
+env['warnings'] = []
 
 #################### Make sure install directories exist #####################
 
-env['BUILD_DIR']=Dir(env['build_dir']).abspath
-prefix=Dir(env['prefix']).abspath
-env['buildvars']['prefix']=prefix
+env['BUILD_DIR'] = Dir(env['build_dir']).abspath
+prefix = Dir(env['prefix']).abspath
+env['buildvars']['prefix'] = prefix
 env['incinstall'] = os.path.join(prefix, 'include')
 env['bininstall'] = os.path.join(prefix, 'bin')
 env['libinstall'] = os.path.join(prefix, 'lib')
@@ -233,15 +235,11 @@
 
 ################# Fill in compiler options if not set above ##################
 
-if env['cxx'] != 'default': env['CXX']=env['cxx']
-
-# version >=9 of intel C++ compiler requires use of icpc to link in C++
-# runtimes (icc does not)
-if not IS_WINDOWS and os.uname()[4]=='ia64' and env['CXX']=='icpc':
-    env['LINK'] = env['CXX']
+if env['cxx'] != 'default':
+    env['CXX'] = env['cxx']
 
 # default compiler/linker options
-cc_flags = ''
+cc_flags = '-std=c++11'
 cc_optim = ''
 cc_debug = ''
 omp_flags = ''
@@ -254,3 +252,5 @@
 
 if cc_name == 'icpc':
     # Intel compiler
+    # #1478: class "std::auto_ptr<...>" was declared deprecated
+    # #1875: offsetof applied to non-POD types is nonstandard (in boost)

=== debian/changelog ===
python-escript (5.0-3) unstable; urgency=medium

  [ Paul Dreik ]
  * [b33279b] Fix FTBFS due to unused variables. (Closes: #860604)

 -- Anton Gladky <gladk@debian.org>  Wed, 19 Apr 2017 13:37:17 +0200

python-escript (5.0-2) unstable; urgency=medium

  [ Joel Fenwick ]
  * [a75d1b9] Fix moved openmpi lib problem (Closes: #848787)

  [ Anton Gladky ]
  * [b80952a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Jan 2017 22:34:39 +0100

python-escript (5.0-1) unstable; urgency=medium

  * New version upload

 -- Joel Fenwick <j.oelpublic@gmail.com>  Mon, 19 Sep 2016 12:44:21 +1000

=== debian/control ===
Source: python-escript
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joel Fenwick <j.oelpublic@gmail.com>, Anton Gladky <gladk@debian.org>
Section: science
Priority: extra
Build-Depends: python-all-dev,
               python3-all-dev,
               python-numpy,
               python3-numpy,
               libboost-python-dev,
               libboost-random-dev,
               libnetcdf-dev,
               libnetcdf-cxx-legacy-dev,
               scons,
               zip,
               python-sphinx,
               doxygen,
               python-docutils,
               texlive,
               ghostscript,
               texlive-latex-extra,
               latex-xcolor,
               lsb-release,
               libopenmpi-dev,
               openmpi-bin,
               debhelper (>= 9),
               dh-python
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-escript.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-escript.git
Homepage: https://launchpad.net/escript-finley
X-Python-Version: >=2.7
X-Python3-Version: >=3.2

Package: python-escript
Architecture: any
Depends: ${python:Depends},
         python-numpy,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python-sympy,
            python-matplotlib,
            python-scipy
Suggests: python-pyproj,
          python-gdal,
          python-escript-doc
Description: Escript/Finley finite elements Python2 system (with OpenMP)
 Escript is a programming tool for implementing mathematical models in Python
 using the finite element method (FEM). Because users do not access the data 
 structures it is very easy to use and scripts can run on desktop computers 
 as well as highly parallel supercomputer without changes. Application areas 
 for escript include earth mantle convection, geophysical inversion, 
 earthquakes, porous media flow, reactive transport, plate subduction, erosion,
 and tsunamis.
 .
 Scripts can be executed in parallel (on varying numbers of threads or nodes)
 without any special modifications.  
 .
 Escript now includes the esys.downunder module for 3D inversion of geophysical
 data sets. The current version supports gravity, magnetic and joint inversion.
 .
 This package contains the commands and libraries for Python2 with 
 OpenMP threading.

Package: python-escript-mpi
Architecture: any
Depends: ${python:Depends},
         openmpi-bin,
         python-numpy,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python-sympy,
            python-matplotlib,
            python-scipy
Suggests: python-pyproj,
          python-gdal,
          python-escript-doc
Description: Escript/Finley finite elements Python2 system (OpenMP + MPI)
 Escript is a programming tool for implementing mathematical models in Python
 using the finite element method (FEM). Because users do not access the data 
 structures it is very easy to use and scripts can run on desktop computers as
 well as highly parallel supercomputer without changes. Application areas for 
 escript include earth mantle convection, geophysical inversion, earthquakes, 
 porous media flow, reactive transport, plate subduction, erosion, and tsunamis.
 .
 Scripts can be executed in parallel (on varying numbers of threads or nodes)
 without any special modifications.  
 .
 Escript now includes the esys.downunder module for 3D inversion of geophysical
 data sets. The current version supports gravity, magnetic and joint inversion.
 .
 This package contains the commands and libraries for Python2 with 
 both OpenMP threading and MPI multiprocess support. 

Package: python3-escript
Architecture: any
Depends: ${python3:Depends},
         python3-numpy,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-sympy,
            python3-matplotlib,
            python3-scipy
Suggests: python3-pyproj,
          python3-gdal,
          python-escript-doc
Description: Escript/Finley finite elements Python3 system (with OpenMP)
 Escript is a programming tool for implementing mathematical models in Python
 using the finite element method (FEM). Because users do not access the data
 structures it is very easy to use and scripts can run on desktop computers as
 well as highly parallel supercomputer without changes. Application areas for
 escript include earth mantle convection, geophysical inversion, earthquakes,
 porous media flow, reactive transport, plate subduction, erosion, and 
 tsunamis.
 .
 Scripts can be executed in parallel (on varying numbers of threads or nodes)
 without any special modifications.  
 .
 Escript now includes the esys.downunder module for 3D inversion of geophysical
 data sets. The current version supports gravity, magnetic and joint inversion.
 .
 This package contains the commands and libraries for Python3 with 
 OpenMP threading and MPI multiprocess support. 

Package: python3-escript-mpi
Architecture: any
Depends: ${python3:Depends},
         python3-numpy,
         openmpi-bin,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-sympy,
            python3-matplotlib,
            python3-scipy
Suggests: python3-pyproj,
          python3-gdal,
          python-escript-doc
Description: Escript/Finley finite elements Python3 system (OpenMP + MPI)
 Escript is a programming tool for implementing mathematical models in Python 
 using the finite element method (FEM). Because users do not access the data 
 structures it is very easy to use and scripts can run on desktop computers as 
 well as highly parallel supercomputer without changes. Application areas for 
 escript include earth mantle convection, geophysical inversion, earthquakes, 
 porous media flow, reactive transport, plate subduction, erosion, and 
 tsunamis.
 .
 Scripts can be executed in parallel (on varying numbers of threads or nodes) 
 without any special modifications.  
 .
 Escript now includes the esys.downunder module for 3D inversion of geophysical
 data sets. The current version supports gravity, magnetic and joint inversion.
 .
 This package contains the commands and libraries for Python3 with 
 both OpenMP threading and MPI multiprocess support.  

Package: python-escript-doc
Architecture: all
Depends: doc-base,
         libjs-sphinxdoc,
         ${misc:Depends}
Recommends: python-escript
Description: Documentation for Escript/Finley
 Escript is a programming tool for implementing mathematical models in Python 
 using the finite element method (FEM). Because users do not access the data 
 structures it is very easy to use and scripts can run on desktop computers as 
 well as highly parallel supercomputer without changes. Application areas for 
 escript include earth mantle convection, geophysical inversion, earthquakes, 
 porous media flow, reactive transport, plate subduction, erosion, and 
 tsunamis.
 .
 Scripts can be executed in parallel (on varying numbers of threads or nodes) 
 without any special modifications.  
 .
 Escript now includes the esys.downunder module for 3D inversion of geophysical
 data sets. The current version supports gravity, magnetic and joint inversion.
 .
 This package contains the documentation for escript, 
 including example scripts the user guide, the cookbook (an introduction from 
 a geoscientists point of view) and a guide to the esys.downunder inversion 
 toolkit.

=== debian/rules ===
#!/usr/bin/make -f

PROJROOT=$(CURDIR)
BDEST=$(CURDIR)/debian/python-escript
BMDEST=$(CURDIR)/debian/python-escript-mpi
B3DEST=$(CURDIR)/debian/python3-escript
B3MDEST=$(CURDIR)/debian/python3-escript-mpi
DDEST=$(CURDIR)/debian/python-escript-doc
BUILD=$(CURDIR)/debian/tmp2
BUILDM=$(CURDIR)/debian/tmp2M
BUILD3=$(CURDIR)/debian/tmp3
BUILD3M=$(CURDIR)/debian/tmp3M
WORK=$(CURDIR)/debian/stage2
WORKM=$(CURDIR)/debian/stage2M
WORK3=$(CURDIR)/debian/stage3
WORK3M=$(CURDIR)/debian/stage3M

#thanks to the debian manual
# export DEB_BUILD_OPTIONS="parallel=10"
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    parbuild=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    sflags=-j$(parbuild)
else
    sflags=-j1
endif

%:
	dh $@  --with python2,python3,sphinxdoc -v

override_dh_clean:
	rm -rf build condif.log esys include lib release .sconf_tmp .sconsign.dblite config.log .sconf_temp
	rm -rf scons/templates/*.pyc
	rm -rf $(BDEST)
	rm -rf $(B3DEST)
	rm -rf $(BMDEST)
	rm -rf $(B3MDEST)
	rm -rf $(DDEST)
	rm -rf $(BUILD)
	rm -rf $(BUILDM)
	rm -rf $(BUILD3)
	rm -rf $(BUILD3M)
	rm -rf $(WORK)
	rm -rf $(WORKM)
	rm -rf $(WORK3)
	rm -rf $(WORK3M)
	rm -rf $(CURDIR)/debian/tmp/*
	rm -f debian/files
	rm -f debian/substvars
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.trivial

override_dh_auto_build:
	#Build steps for py2
	mkdir -p $(WORK)
	if [ ! -f svn_version ];then echo "No svn_version file found"; exit 3;fi
	scons $(sflags) SVN_VERSION=`cat svn_version` build_dir=$(BUILD) verbose=on prefix=$(WORK) options_file=scons/templates/sid_options.py
	# extract the relevant .py files
	cd $(WORK); $(PROJROOT)/debian/utils/cppy.py $(PROJROOT); cd $(PROJROOT)
	cp $(PROJROOT)/doc/manpage/man1/run-escript.1 $(WORK)/run-escript2.man
	mv $(WORK)/bin/run-escript $(WORK)/bin/run-escript2
	find $(WORK) -name '*.pyc' -print0 | xargs -0 rm -f
	
	# build_steps for documentation 
	# depends on the py2 build so don't do anything here
	# which will overwrite changes made in the py2 build
	mkdir -p $(BUILD)
	scons $(sflags) SVN_VERSION=`cat svn_version` build_dir=$(BUILD) verbose=on prefix=$(WORK) options_file=scons/templates/sid_options.py docs
	find $(WORK) -name '*.pyc' -print0 | xargs -0 rm -f
	
	# Build steps for py2 with MPI	
	mkdir -p $(WORKM)
	if [ ! -f svn_version ];then echo "No svn_version file found"; exit 3;fi
	scons $(sflags) SVN_VERSION=`cat svn_version` build_dir=$(BUILDM)  cc_optim='-O3 -DOVERLORDPATH=\"/usr/lib/python-escript-mpi/\"' verbose=on prefix=$(WORKM) options_file=scons/templates/sid_mpi_options.py
	# extract the relevant .py files
	cd $(WORKM); $(PROJROOT)/debian/utils/cppy.py $(PROJROOT); cd $(PROJROOT)
	cp $(PROJROOT)/doc/manpage/man1/run-escript.1 $(WORKM)/run-escript2-mpi.man
	ln $(WORKM)/bin/run-escript $(WORKM)/bin/run-escript2-mpi
	find $(WORKM) -name '*.pyc' -print0| xargs -0 rm -f
	#rm -rf $(BUILDM)

	# Build steps for py3
	mkdir -p $(WORK3)
	if [ ! -f svn_version ];then echo "No svn_version file found"; exit 3;fi
	scons $(sflags) SVN_VERSION=`cat svn_version` build_dir=$(BUILD3) verbose=on prefix=$(WORK3) options_file=scons/templates/sid_py3_options.py
	# extract the relevant .py files
	cd $(WORK3); $(PROJROOT)/debian/utils/cppy.py $(PROJROOT); cd $(PROJROOT)
	cp $(PROJROOT)/doc/manpage/man1/run-escript.1 $(WORK3)/run-escript3.man
	ln $(WORK3)/bin/run-escript $(WORK3)/bin/run-escript3
	find $(WORK3) -name '*.pyc' -print0| xargs -0 rm -f
	#rm -rf $(BUILD3)

	# Build steps for py3 with MPI
	mkdir -p $(WORK3M)
	if [ ! -f svn_version ];then echo "No svn_version file found"; exit 3;fi
	scons $(sflags) SVN_VERSION=`cat svn_version` build_dir=$(BUILD3M)  cc_optim='-O3 -DOVERLORDPATH=\"/usr/lib/python-escript3-mpi/\"' verbose=on prefix=$(WORK3M) options_file=scons/templates/sid_py3_mpi_options.py
	# extract the relevant .py files
	cd $(WORK3M); $(PROJROOT)/debian/utils/cppy.py $(PROJROOT); cd $(PROJROOT)
	cp $(PROJROOT)/doc/manpage/man1/run-escript.1 $(WORK3M)/run-escript3-mpi.man
	ln $(WORK3M)/bin/run-escript $(WORK3M)/bin/run-escript3-mpi
	find $(WORK3M) -name '*.pyc' -print0| xargs -0 rm -f	
	#rm -rf $(BUILD3M)
	
	# fix paths in each package and
	# fix some external links in the doc package
	debian/utils/tweak.sh "$(WORK)" "$(WORKM)" "$(WORK3)" "$(WORK3M)"
	rm -f scons/templates/*.pyc
	rm -f site_scons/*.pyc
	rm -f utest.sh

override_dh_shlibdeps:
	# so libraries we just built are checked as well
	dh_shlibdeps -ppython-escript -Npython3-escript -Npython-escript-mpi -Npython3-escript-mpi -Npython-escript-doc -P$(BDEST) -l$(BDEST)/usr/lib/python-escript/lib
	dh_shlibdeps -ppython-escript-mpi -Npython3-escript -Npython-escript -Npython3-escript-mpi -Npython-escript-doc -P$(BMDEST) -l$(BMDEST)/usr/lib/python-escript-mpi/lib
	dh_shlibdeps -ppython3-escript -Npython-escript -Npython-escript-mpi -Npython3-escript-mpi -Npython-escript-doc -P$(B3DEST) -l$(B3DEST)/usr/lib/python3-escript/lib
	dh_shlibdeps -ppython3-escript-mpi -Npython3-escript -Npython-escript -Npython-escript-mpi -Npython-escript-doc -P$(B3MDEST) -l$(B3MDEST)/usr/lib/python3-escript-mpi/lib

override_dh_python2:
	dh_python2 -ppython-escript -Npython3-escript -Npython-escript-mpi -Npython3-escript-mpi -Npython-escript-doc --no-ext-rename usr/lib/python-escript/esys
	dh_python2 -ppython-escript-mpi -Npython3-escript -Npython-escript -Npython3-escript-mpi -Npython-escript-doc --no-ext-rename	usr/lib/python-escript-mpi/esys
	
override_dh_python3:
	dh_python3 -ppython3-escript -Npython-escript -Npython-escript-mpi -Npython3-escript-mpi -Npython-escript-doc --no-ext-rename	usr/lib/python3-escript/esys
	dh_python3 -ppython3-escript-mpi -Npython3-escript -Npython-escript -Npython-escript-mpi -Npython-escript-doc --no-ext-rename	usr/lib/python3-escript-mpi/esys

## python-escript 5.1

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ##############################################################################
 #
-# Copyright (c) 2003-2016 by The University of Queensland
+# Copyright (c) 2003-2017 by The University of Queensland
 # http://www.uq.edu.au
 #
 # Primary Business: Queensland, Australia
@@ -54,6 +54,9 @@
 
 default_prefix='/usr'
 mpi_flavours=('no', 'none', 'MPT', 'MPICH', 'MPICH2', 'OPENMPI', 'INTELMPI')
+netcdf_flavours = ('no', 'off', 'none', 'False', # Must be last of the false alternatives
+                   'yes', 'on', 'True', '3', # Must be last of the version 3 alternatives
+                   '4')
 all_domains = ['dudley','finley','ripley','speckley']
 
 #Note that scons construction vars the the following purposes:
@@ -94,9 +97,9 @@
   ('mpi_libs', 'MPI shared libraries to link with', ['mpi']),
   BoolVariable('cuda', 'Enable GPU code with CUDA (requires thrust)', False),
   ('cuda_prefix', 'Prefix/Paths to NVidia CUDA installation', default_prefix),
-  BoolVariable('netcdf', 'Enable netCDF file support', False),
+  EnumVariable('netcdf', 'Enable netCDF file support', False, allowed_values=netcdf_flavours),
   ('netcdf_prefix', 'Prefix/Paths of netCDF installation', default_prefix),
-  ('netcdf_libs', 'netCDF libraries to link with', ['netcdf_c++', 'netcdf']),
+  ('netcdf_libs', 'netCDF libraries to link with', 'DEFAULT'),
   BoolVariable('parmetis', 'Enable ParMETIS (requires MPI)', False),
   ('parmetis_prefix', 'Prefix/Paths of ParMETIS installation', default_prefix),
   ('parmetis_libs', 'ParMETIS libraries to link with', ['parmetis', 'metis']),
@@ -152,7 +155,9 @@
   ('papi_prefix', 'Prefix/Paths to PAPI installation', default_prefix),
   ('papi_libs', 'PAPI libraries to link with', ['papi']),
   BoolVariable('papi_instrument_solver', 'Use PAPI to instrument each iteration of the solver', False),
-  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)', False)
+  BoolVariable('osx_dependency_fix', 'Fix dependencies for libraries to have absolute paths (OSX)', False),
+  BoolVariable('stdlocationisprefix', 'Set the prefix as escript root in the launcher', False),
+  BoolVariable('mpi_no_host', 'Do not specify --host in run-escript launcher (only OPENMPI)', False)
 )
 
 ##################### Create environment and help text #######################
@@ -176,6 +181,22 @@
         zz.insert(0, mkclang)
     env = Environment(tools = ['default'] + env['tools_names'], options = vars,
                       ENV = {'PATH' : os.environ['PATH']})
+
+# Covert env['netcdf'] into one of False, 3, 4
+# Also choose default values for libraries
+pos1=netcdf_flavours.index('False')
+pos2=netcdf_flavours.index('3')
+mypos=netcdf_flavours.index(env['netcdf'])
+if 0 <= mypos <=pos1:
+    env['netcdf']=0
+elif pos1 < mypos <= pos2:
+    env['netcdf']=3
+    if env['netcdf_libs']=='DEFAULT':
+        env['netcdf_libs']=['netcdf_c++', 'netcdf']
+else:   # netcdf4
+    env['netcdf']=4
+    if env['netcdf_libs']=='DEFAULT':
+        env['netcdf_libs']=['netcdf_c++4']
 
 if options_file:
     opts_valid=False
@@ -224,33 +245,3 @@
 env['libinstall'] = os.path.join(prefix, 'lib')
 env['pyinstall']  = os.path.join(prefix, 'esys')
 if not os.path.isdir(env['bininstall']):
-    os.makedirs(env['bininstall'])
-if not os.path.isdir(env['libinstall']):
-    os.makedirs(env['libinstall'])
-if not os.path.isdir(env['pyinstall']):
-    os.makedirs(env['pyinstall'])
-
-env.Append(CPPPATH = [env['incinstall']])
-env.Append(LIBPATH = [env['libinstall']])
-
-################# Fill in compiler options if not set above ##################
-
-if env['cxx'] != 'default':
-    env['CXX'] = env['cxx']
-
-# default compiler/linker options
-cc_flags = '-std=c++11'
-cc_optim = ''
-cc_debug = ''
-omp_flags = ''
-omp_ldflags = ''
-fatalwarning = '' # switch to turn warnings into errors
-sysheaderopt = '' # how to indicate that a header is a system header
-
-# env['CC'] might be a full path
-cc_name=os.path.basename(env['CXX'])
-
-if cc_name == 'icpc':
-    # Intel compiler
-    # #1478: class "std::auto_ptr<...>" was declared deprecated
-    # #1875: offsetof applied to non-POD types is nonstandard (in boost)

=== cusplibrary/performance/spmm/SConstruct ===
import os
import inspect
import glob

# try to import an environment first
try:
  Import('env')
except:
  exec open("../../build/build-env.py")
  env = Environment()

env.Append(LIBS = ["-lcusparse"])

# on mac we have to tell the linker to link against the C++ library
if env['PLATFORM'] == "darwin":
  env.Append(LINKFLAGS = "-lstdc++")

env.Append(CPPPATH = "/home/steve/back40computing-read-only")

# find all .cus & .cpps in the current directory
sources = []
directories = ['.']
extensions = ['*.cu', '*.cpp']
for dir in directories:
  for ext in extensions:
    regexp = os.path.join(dir, ext)
    #sources.extend(env.Glob(regexp, strings = True))
    sources.extend(glob.glob(regexp))

# compile examples
for src in sources:
  env.Program(src)

=== debian/changelog ===
python-escript (5.1-5) unstable; urgency=medium

  * Team upload.
  * [8a6e107] Also ignore strict-overflow errors in s390x, albeit it happens
    only in ubuntu.
  * [9134bc2] Bump Standards-Version to 4.1.3, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 01 Jan 2018 18:57:58 +0100

python-escript (5.1-4) unstable; urgency=medium

  * Team upload.
  * [8beca24] Try to fix FTBFS in powerpc and ppc64 by applying the same
    patch used for ppc64el (disabling a warning).
  * [0ea59fd] Build depend only on the default python and python3
    versions.  Closes: #867583
  * [096248d] Bump Standards-Version to 4.1.2, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Dec 2017 13:46:30 +0100

python-escript (5.1-3) unstable; urgency=medium

  * Team upload.
  * [48d47f2] Fix FTBFS on powerpc. Disable one warning

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Dec 2017 12:03:41 +0100

python-escript (5.1-2) unstable; urgency=medium

  * Team upload.
  * [8a44bbe] Add missing space in the compiler flag. (Closes: #878496)
  * [39dc272] Remove unused patches

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Dec 2017 23:35:51 +0100

python-escript (5.1-1) unstable; urgency=medium

  * Team upload.

  [ Joel Fenwick ]
  * [dae92b3] Upstream 5.1 - with modified /debian. (Closes: #878496)
  * [fed2b67] Spelling errors found by lintian
  * [ff2a920] Use libjs-mathjax instead of external site
  * [419c8e9] Suppress spurious warning on 32bit builds

  [ Anton Gladky ]
  * [e66da0f] Add section-field to each binary
  * [5c83249] Add python3-sphinx to BD
  * [b1bdc76] Remove myself from uploaders
  * [034da16] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Dec 2017 20:48:12 +0100

python-escript (5.0-4) unstable; urgency=medium

  [ Joel Fenwick ]
  * [6f58a7e] Add sphinx-common to -doc dependencies. (Closes: #861023)

  [ Anton Gladky ]
  * [8713dfa] Replace latex-xcolor by texlive-latex-recommended. (Closes: #865245)
  * [7ebf074] Use compat level 10.
  * [70044aa] Set the highest level of hardening.

 -- Anton Gladky <gladk@debian.org>  Mon, 03 Jul 2017 22:02:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-escript
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Joel Fenwick <j.oelpublic@gmail.com>, Anton Gladky <gladk@debian.org>
+Uploaders: Joel Fenwick <j.oelpublic@gmail.com>
 Section: science
-Priority: extra
-Build-Depends: python-all-dev,
-               python3-all-dev,
+Priority: optional
+Build-Depends: python-dev,
+               python3-dev,
                python-numpy,
                python3-numpy,
                libboost-python-dev,
@@ -14,18 +14,20 @@
                scons,
                zip,
                python-sphinx,
+               python3-sphinx,
                doxygen,
                python-docutils,
                texlive,
                ghostscript,
                texlive-latex-extra,
-               latex-xcolor,
+               texlive-latex-recommended,
                lsb-release,
                libopenmpi-dev,
                openmpi-bin,
-               debhelper (>= 9),
+               debhelper (>= 10),
+               libjs-mathjax,
                dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-escript.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-escript.git
 Homepage: https://launchpad.net/escript-finley
@@ -34,6 +36,7 @@
 
 Package: python-escript
 Architecture: any
+Section: python
 Depends: ${python:Depends},
          python-numpy,
          ${shlibs:Depends},
@@ -64,6 +67,7 @@
 
 Package: python-escript-mpi
 Architecture: any
+Section: python
 Depends: ${python:Depends},
          openmpi-bin,
          python-numpy,
@@ -94,6 +98,7 @@
 
 Package: python3-escript
 Architecture: any
+Section: python
 Depends: ${python3:Depends},
          python3-numpy,
          ${shlibs:Depends},
@@ -124,6 +129,7 @@
 
 Package: python3-escript-mpi
 Architecture: any
+Section: python
 Depends: ${python3:Depends},
          python3-numpy,
          openmpi-bin,
@@ -155,8 +161,11 @@
 
 Package: python-escript-doc
 Architecture: all
+Section: doc
 Depends: doc-base,
          libjs-sphinxdoc,
+         libjs-mathjax,
+         sphinx-common,
          ${misc:Depends}
 Recommends: python-escript
 Description: Documentation for Escript/Finley

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 WORKM=$(CURDIR)/debian/stage2M
 WORK3=$(CURDIR)/debian/stage3
 WORK3M=$(CURDIR)/debian/stage3M
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 #thanks to the debian manual
 # export DEB_BUILD_OPTIONS="parallel=10"
